﻿requirejs.config({
    paths: {
        'text': '../lib/require/text',
        'durandal':'../lib/durandal/js',
        'plugins' : '../lib/durandal/js/plugins',
        'transitions' : '../lib/durandal/js/transitions',
        'knockout': '../lib/knockout/knockout-3.1.0',
        'knockout.mapping': '../lib/knockout-mapping/knockout.mapping-latest.debug',
        'bootstrap': '../lib/bootstrap/js/bootstrap',
        'jquery': '../lib/jquery/jquery-1.9.1',
        'jquery.ui': '../lib/jqueryui/jquery-ui.min',
        'infragistics.core': '../lib/infragistics/js/infragistics.core', 
        'infragistics.lob': '../lib/infragistics/js/infragistics.lob', 
        'infragistics.ds.knockout': '../lib/infragistics/js/extensions/infragistics.datasource.knockoutjs', 
        'infragistics.grid.knockout': '../lib/infragistics/js/extensions/infragistics.ui.grid.knockout-extensions', 
    },
    shim: {
        'bootstrap': {
            deps: ['jquery'],
            exports: 'jQuery'
       },
      'knockout.mapping' : {
            deps: ['knockout']
        },
        'infragistics.core' : {
            deps: ['jquery', 'jquery.ui', 'knockout.mapping']
        },
        'infragistics.lob' : {
            deps: ['infragistics.core']
        },
        'infragistics.ds.knockout' : {
            deps: ['infragistics.core']
        },
        'infragistics.grid.knockout' : {
            deps: ['knockout', 'infragistics.lob']
        }
    }
});

define(['durandal/system', 'durandal/app', 'durandal/viewLocator'],  function (system, app, viewLocator) {
    //>>excludeStart("build", true);
    system.debug(true);
    //>>excludeEnd("build");

    app.title = 'Durandal Starter Kit';

    app.configurePlugins({
        router:true,
        dialog: true
    });

    app.start().then(function() {
        //Replace 'viewmodels' in the moduleId with 'views' to locate the view.
        //Look for partial views in a 'views' folder in the root.
        viewLocator.useConvention();

        //Show the app by setting the root view model for our application with a transition.
        app.setRoot('viewmodels/shell', 'entrance');
    });
});